{% block appointment_list %}
    <sw-page class="swag-guided-shopping-appointment-list">
        {% block appointment_list_search_bar %}
            <template #search-bar>
                <sw-search-bar initialSearchType="guided_shopping_appointment"
                               :placeholder="$tc('swag-guided-shopping-appointment.admin.placeholderSearchBarSnippets')"
                               :initialSearch="term"
                               @search="onSearch">
                </sw-search-bar>
            </template>
        {% endblock %}

        <template #smart-bar-actions>
            <sw-button :routerLink="{ name: 'swag.guided.shopping.appointment.create' }" variant="primary" :disabled="!acl.can('guided_shopping_appointment.creator')">
                {{ $tc('swag-guided-shopping-appointment.admin.buttons.create') }}
            </sw-button>
        </template>
        <template #language-switch>
            <sw-language-switch @on-change="onChangeLanguage"></sw-language-switch>
        </template>
        <template #content>
            {% block swag_guided_shopping_appointment_list_content %}
                <div class="swag-guided-shopping-appointment-list__content">
                    <sw-entity-listing
                            v-if="appointments"
                            :items="appointments"
                            :repository="appointmentRepository"
                            :columns="columns"
                            :allow-inline-edit="acl.can('guided_shopping_appointment.editor')"
                            :allow-edit="acl.can('guided_shopping_appointment.editor')"
                            :allow-delete="acl.can('guided_shopping_appointment.deleter')"
                            detailRoute="swag.guided.shopping.appointment.detail">

                        <template #column-name="{ item, isInlineEdit, column }">
                            <template v-if="isInlineEdit">
                                <slot></slot>
                            </template>
                            <template v-else>
                                <router-link
                                        v-if="column.routerLink"
                                        class="sw-data-grid__cell-value"
                                        :to="{ name: column.routerLink, params: { id: item.id } }"
                                >
                                    {{ item.translated.name ?? item.name }}
                                </router-link>
                                <span class="path" v-if="item.presentationPath != item.id">/{{ item.presentationPath }}</span>
                            </template>
                        </template>

                        <template #column-active="{ item, isInlineEdit }">
                            <template v-if="isInlineEdit">
                                <sw-checkbox-field v-model="item.active"></sw-checkbox-field>
                            </template>
                            <template v-else>
                                <sw-icon v-if="item.active" name="regular-checkmark-xs" small
                                         class="is--active"></sw-icon>
                                <sw-icon v-else name="regular-times-s" small class="is--inactive"></sw-icon>
                            </template>
                        </template>

                        <template #column-createdAt="{ item }">
                            {{ item.createdAt| date({hour: '2-digit', minute: '2-digit'})  }}
                        </template>

                        <template #column-updatedAt="{ item }">
                            {{ item.updatedAt| date({hour: '2-digit', minute: '2-digit'})  }}
                        </template>

                        <template #column-urls="{ item, isInlineEdit }">
                            <swag-guided-shopping-appointment-urls
                                    :appointment="item"
                                    :small="true"
                            />
                        </template>

                        {% block swag_guided_shopping_presentation_detail_appointments_grid_columns_running %}
                            <template #column-activity="{ item }">
                                <span class="from">
                                    {{ $tc('global.default.from') }}
                                    <template v-if="item.mode === 'self' && !item.accessibleFrom">
                                        {{ item.createdAt|date({ month: 'numeric', year: 'numeric', hour: 'numeric', minute: 'numeric'}) }}
                                    </template>
                                    <template v-else>
                                        {{ item.accessibleFrom|date({ month: 'numeric', year: 'numeric', hour: 'numeric', minute: 'numeric'}) }}
                                    </template>
                                </span>
                                <span class="dash" v-if="item.accessibleTo"> {{ $tc('global.default.to') }} {{ item.accessibleTo|date({ month: 'numeric', year: 'numeric', hour: 'numeric', minute: 'numeric'}) }}</span>
                            </template>
                        {% endblock %}

                        <template #column-presentation="{ item, isInlineEdit }">
                            <router-link
                                v-if="item.presentation"
                                :to="{ name: 'swag.guided.shopping.presentation.detail', params: { id: item.presentation.id } }"
                            >
                                {{ getPresentationName(item.presentation) }}
                            </router-link>
                        </template>
                        <template #column-guideUserName="{ item, isInlineEdit }">
                            <template v-if="item.guideUser">
                                {{ getUserName(item.guideUser) }}
                            </template>
                            <template v-else-if="item.mode === 'self' && !item.startedAt">
                                - {{ $tc('swag-guided-shopping-appointment.base.configuration.modeSelfLabel') }} -
                            </template>
                        </template>
                        <template #column-createdBy="{ item }">
                            {{ getUserName(item.createdBy)  }}
                        </template>
                        <template #column-updatedBy="{ item }">
                            {{ getUserName(item.updatedBy)  }}
                        </template>
                    </sw-entity-listing>
                </div>
            {% endblock %}
        </template>
    </sw-page>
{% endblock %}
